Bug 33870 - kernel panic when plugging in USB webcam
kernel panic when plugging in USB webcam
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-03-29 10:16 EST by Bryan Leopard
Modified: 2007-04-18 12:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-05-16 14:35:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bryan Leopard 2001-03-29 10:16:52 EST
HW: ML350 1Ghz 128MB ram
D-LINK model DSB-C300 USB webcam
SW: RH 7.1 RC 2 QA0322 

1. Plug in webcam or boot with web cam pluggen in you get a kernel panic:

Mounting USB filesystem
initializing USB controller (usb-ohci)
invalid operand : 0000
cpu 0
EIP: 0010 [<c012de1e>]
EFLAGS: 00010086
eax: 0000001b ebx: c79452b0 ecx: 00000001 edx: c02739ac
esi: c7945000 edi: c79452e4 ebp: c182f0a0 esp: c028be98
ds: 0018 es: 0018 SS: 0018
process swapper (pid: 0, stackpage = c028b000)
stack: c021cdfa c021cf7b 000057a c7dd0800 c79452ac 00000082 c79452f4 
           c79452e4 c79452e4 c887508c c79452b0 00000000 00000001 00000008 
           c7e7358c c79452e4 00000000 c88750ff c7c2265c c79452e4 00000297 

call trace: c021cdfa c021cf7b c887508c c88750ff c887512e c8875237 c8876e377
                c887b00c c887b000 c8877e7a c887b014 c8878c77 c010a3fa 
c010a578 c0107240
                 c0107240 c01091b4 c0107240 c0107240 c0100018 c0107263 
c01072e2 c0105000                    c0100191

code: 0f 0b 83 c4 0c 8b 54 24 04 b8 71 f0 2c 5a 8b 5d 0c 01 da 87
kernel panic: Aiee killing interrupt handler!
in interrupt handler - not syncing.
Comment 1 Trond Eivind Glomsrxd 2001-03-29 11:03:07 EST
That would be a kernel problem, and not related to usbview.
Comment 2 Glen Foster 2001-03-29 14:40:37 EST
The qa0322 ISOs are quite stale now.  The kernel in this cut was 2.4.2-0.1.32;
we're up to 0.1.40 now and I *think* this may be fixed.  Please re-try this on
the qa0328 ISOs that were delivered to the beta web-site last night and report
back whether it's still broken or not.  Thanks!
Comment 3 Pete Zaitcev 2001-03-31 00:22:13 EST
I would appreciate if either oops was decoded, or
the oopsing kernel was identified (cat /proc/version).

BTW, the call trace looks as if the requestor typed
it in. It is error prone, not to mention a tiring job.
It is much more reliable and productive to use
a serial console instead.
Comment 4 Pete Zaitcev 2001-04-06 19:28:27 EDT

perhaps you do not realize that "RH 7.1 RC 2 QA0322"
ships with *SEVERAL* kernels and I need to know which
particular one you were using. At the moment I do not
even know what driver your webcam uses (ov511, ibmcam, or other).

It is unheard that a vendor wants to fix a bug and a customer
does not. The Universe is coming to an end!

-- Pete
Comment 5 Bryan Leopard 2001-05-16 14:35:13 EDT
I am sorry.  I thought I updated this bug.  This bug was fixed with a later 
release and is still working in the released version.  You can close this bug.

Note You need to log in before you can comment on or make changes to this bug.